Last Comment Bug 1143163 - Rename icaljs/libical manifest files to fool the packager
: Rename icaljs/libical manifest files to fool the packager
Status: RESOLVED FIXED
:
Product: Calendar
Classification: Client Software
Component: Build Config (show other bugs)
: unspecified
: All All
-- normal (vote)
: 4.0.0.1
Assigned To: Philipp Kewisch [:Fallen]
:
:
Mentors:
Depends on:
Blocks: 1130854
  Show dependency treegraph
 
Reported: 2015-03-13 14:17 PDT by Philipp Kewisch [:Fallen]
Modified: 2015-06-10 08:46 PDT (History)
1 user (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---

MozReview Requests
Submitter Diff Changes Open Issues Last Updated
Loading...
Error loading review requests:
Show discarded requests

Attachments
MozReview Request: bz://1143163/Fallen (39 bytes, text/x-review-board-request)
2015-03-13 14:21 PDT, Philipp Kewisch [:Fallen]
philipp: review+
philipp: approval‑calendar‑aurora+
Details | Review
MozReview Request: Fix bug 1143163 - Rename icaljs/libical manifest files to fool the packager. r=MakeMyDay (39 bytes, text/x-review-board-request)
2015-06-10 08:46 PDT, Philipp Kewisch [:Fallen]
philipp: review+
Details | Review

Description User image Philipp Kewisch [:Fallen] 2015-03-13 14:17:16 PDT
The packager considers any .manifest file that is not referenced to be a new base directory. In combination with bug 910660's patch, we can work around by renaming the .manifest file to something that doesn't end with .manfest.
Comment 1 User image Philipp Kewisch [:Fallen] 2015-03-13 14:20:13 PDT
Pushed to comm-central changeset 88c91b465fa8
Comment 2 User image Philipp Kewisch [:Fallen] 2015-03-13 14:21:42 PDT
Created attachment 8577458 [details]
MozReview Request: bz://1143163/Fallen

/r/5395 - Fix bug 1143163 - Rename icaljs/libical manifest files to fool the packager. r=MakeMyDay

Pull down this commit:

hg pull review -r 88c91b465fa821959fa3798aaeed6964685b0d96
Comment 3 User image Philipp Kewisch [:Fallen] 2015-03-13 14:22:31 PDT
Please ignore comment 1, this was just a script error. Its not actually pushed to c-c.
Comment 5 User image [:MakeMyDay] 2015-03-14 01:13:38 PDT
https://reviewboard.mozilla.org/r/5395/#review4341

Looks good, r=MakeMyDay
Comment 6 User image Philipp Kewisch [:Fallen] 2015-03-16 12:57:34 PDT
https://reviewboard.mozilla.org/r/5395/#review4407

Ship It!
Comment 7 User image Philipp Kewisch [:Fallen] 2015-03-16 13:12:54 PDT
Reviewboard is more confusing than uploading patches.
Comment 8 User image Philipp Kewisch [:Fallen] 2015-03-19 17:04:54 PDT
Pushed to comm-central changeset 65c0e175a5da
Comment 9 User image Philipp Kewisch [:Fallen] 2015-03-19 17:08:38 PDT
Backported to releases/comm-aurora changeset 2947dd6c9e50
Comment 10 User image Philipp Kewisch [:Fallen] 2015-06-10 08:46:11 PDT
Comment on attachment 8577458 [details]
MozReview Request: bz://1143163/Fallen
Comment 11 User image Philipp Kewisch [:Fallen] 2015-06-10 08:46:11 PDT
Created attachment 8619753 [details]
MozReview Request: Fix bug 1143163 - Rename icaljs/libical manifest files to fool the packager. r=MakeMyDay

Note You need to log in before you can comment on or make changes to this bug.